Bug 25618 - Upgrading Koha to packages made of latest master version breaks Z3950
Summary: Upgrading Koha to packages made of latest master version breaks Z3950
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 13937
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-28 13:29 UTC by Joonas Kylmälä
Modified: 2020-06-17 21:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.07


Attachments
Bug 25618: Fix wrong package install path for misc dir (1.70 KB, patch)
2020-05-28 13:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25618: Fix wrong package install path for misc dir (1.76 KB, patch)
2020-05-28 13:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25618: Fix wrong package install path for misc dir (1.71 KB, patch)
2020-05-28 14:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25618: Fix wrong package install path for misc dir (1.85 KB, patch)
2020-05-29 09:38 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2020-05-28 13:29:06 UTC
When upgrading Koha a package made out of latest master version Z3950 daemon doesn't work anymore, the error message in koha-common service log is the following:

> Can't open perl script "/usr/share/koha/lib/misc/z3950_responder.pl": No such file or
Comment 1 Jonathan Druart 2020-05-28 13:31:43 UTC
Created attachment 105413 [details] [review]
Bug 25618: Fix wrong package install path for misc dir

root@koha-debian9:/# koha-z3950-responder --start d9
[....] Starting Z39.50/SRU daemon for d9:Can't open perl script "/usr/share/koha/bin/z3950_responder.pl/z3950_responder.pl": Not a directory
 failed!

Test plan:
On a dev install, copy the debian script and run it
Same on a package install
Comment 2 Tomás Cohen Arazi 2020-05-28 13:52:29 UTC
Created attachment 105414 [details] [review]
Bug 25618: Fix wrong package install path for misc dir

root@koha-debian9:/# koha-z3950-responder --start d9
[....] Starting Z39.50/SRU daemon for d9:Can't open perl script "/usr/share/koha/bin/z3950_responder.pl/z3950_responder.pl": Not a directory
 failed!

Test plan:
On a dev install, copy the debian script and run it
Same on a package install

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2020-05-28 14:11:22 UTC
Created attachment 105415 [details] [review]
Bug 25618: Fix wrong package install path for misc dir

root@koha-debian9:/# koha-z3950-responder --start d9
[....] Starting Z39.50/SRU daemon for d9:Can't open perl script "/usr/share/koha/bin/z3950_responder.pl/z3950_responder.pl": Not a directory
 failed!

Test plan:
On a dev install, copy the debian script and run it
Same on a package install
Comment 4 Jonathan Druart 2020-05-28 15:03:48 UTC
dev install was not working.
Comment 5 Joonas Kylmälä 2020-05-29 09:38:21 UTC
Created attachment 105434 [details] [review]
Bug 25618: Fix wrong package install path for misc dir

root@koha-debian9:/# koha-z3950-responder --start d9
[....] Starting Z39.50/SRU daemon for d9:Can't open perl script "/usr/share/koha/bin/z3950_responder.pl/z3950_responder.pl": Not a directory
 failed!

Test plan:
On a dev install, copy the debian script and run it
Same on a package install

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 6 Jonathan Druart 2020-05-29 09:45:15 UTC
Skipping QA.
Comment 7 Jonathan Druart 2020-05-29 09:49:32 UTC
Pushed to master for 20.05
Comment 8 Aleisha Amohia 2020-06-14 22:10:22 UTC
backported to 19.11.x for 19.11.07
Comment 9 Victor Grousset/tuxayo 2020-06-17 21:42:36 UTC
Won't backport to 19.05.x because koha-z3950-responder didn't exist back then.